@echo off

goto TI82
echo __________________________________________________
echo --------------------------------------------------
echo ----- Assembling %1 for the TI-85... -------
echo #define TI85 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm32 -80 -g3 -i -ll temp.z80
if errorlevel 1 goto ERRORS
ren temp.obj %1 >nul
string85 %1
move %1.85s ..\CyberWar.85s >nul
echo ----- Success!
echo TI-85 version is %1.85p
del %1

:TI82
echo __________________________________________________
echo --------------------------------------------------
echo ----- Assembling %1 for the TI-82... -------
echo #define TI82 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm32 -80 -i -b temp.z80 %1.bin
if errorlevel 1 goto ERRORS
CRPRGM82 %1.bin
fix %1.82p
move %1.82p ..\ >nul
echo ----- Success!
echo TI-82 version is %1.82p

echo __________________________________________________
echo --------------------------------------------------
echo ----- Assembling %1 for the TI-86... -------
echo #define TI86 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm32 -80 -i -b temp.z80 cw.bin
if errorlevel 1 goto ERRORS
ren cw.bin cw
prgm86 cw
ren cw.86p CyberWar.86p
del cw >nul
move %1.86p ..\ >nul
echo ----- Success!
echo TI-86 version is %1.86p

echo _________________________________________________
echo -------------------------------------------------
echo ----- Assembling %1 for the TI-83 Plus... --
echo #define TI83P >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm32 -80 -i -b temp.z80 %1.bin
if errorlevel 1 goto ERRORS
DevPac8X %1
move %1.8xp ..\ >nul

echo __________________________________________________
echo --------------------------------------------------
echo ----- Assembling %1 for the TI-83... -------
echo #define TI83 >temp.z80
if exist %1.z80 type %1.z80 >>temp.z80
if exist %1.asm type %1.asm >>temp.z80
tasm32 -80 -i -b temp.z80 %1.bin
if errorlevel 1 goto ERRORS
devpac83 %1
move %1.83p ..\ >nul
echo ----- Success!
echo TI-83 version is %1.83p
echo TI-83 Plus version is %1.8xp


goto DONE
:ERRORS
echo ----- There were errors.
del temp.z80 >nul
del %1.bin >nul
del *.8?p >nul
pause
edit temp.lst
:DONE
del temp.lst >nul
del temp.z80 >nul
del temp.obj >nul
del %1.bin >nul