Program CyberWarMapEditor;
{------------------------------------------}
{--- Hyper32 by Diogo Teixeira aka Fozi ---}
{--- Visit for more info:               ---}
{---      http://www.hyper32.net        ---}
{---      http://hyper64.cjb.net        ---}
{------------------------------------------}
Uses Hyper32;
const
MaxDataInDBLine       = 31;
MaxMapXLenght         = 63;
MaxMapYLenght         = 24;
MaxNumberOfMaps       = 16;
MaxNumberOfSprites    = 256;
MapfileName           = 'Maps.z80';
SpriteFileName        = 'Tiles.z80';
{------------------------}
Type
    Sprite = array[0..7,0..7] of boolean;
    Map    = record
           MapData               :array[0..23,0..63] of byte;
           CurrentMapSizeX       :byte;
           CurrentMapSizeY       :byte;
           CurrentMapX           :byte;
           CurrentMapY           :byte;
           end;
{------------------------}
Var
{--- Hyper32 Vars ---}
Screen                :THyper;
Buffer                :TBuffer;
Keys                  :TKey;
{--------------------}
MapTextFile           :Text;
SpriteTextFile        :Text;
Sprites               :array[0..255] of Sprite;
AllMaps               :array[0..15] of Map;
NumberOfMapsInTheFile :byte;
CurrentMapNumber      :byte;
CurrentSpriteNumber   :byte;

{------------------------}
{-- Hyper32 procedures --}
procedure InatilizeScreen;
begin
  Screen.Info(true,true);
  Screen.Setup(640, 480, 8);       {-- Inatilize Screen --}
  Buffer.Create(640, 480, 8);      {-- Inatilize Buffer --}
  Keys.Setup;                      {-- Inatilize Keys   --}
end;
procedure DoneScreen;
begin
  Keys.Setup;
  Buffer.Done;
  Screen.Done;
end;
{------------------------}
Function ExistFile(FileName :string):boolean;
var
f:file;
begin
     Assign(f,filename);
{$I-}
     Reset(f);
     ExistFile:= (IOResult =0);
{$I+}
end;
{------------------------}
Procedure OpenMapFile;
Var
KeyValue :Byte;
begin

If not ExistFile(MapFileName) then
begin
Writeln('<---- ---- ERROR ---- ---->');
Writeln('Map File not Found: ' + MapFileName);
Writeln('Create New File [y/n]');

KeyValue := Keys.ReadKey;
While (KeyValue <> KB_Y) and (KeyValue <> KB_N) do
KeyValue := Keys.ReadKey;

If KeyValue = KB_N then Halt;

{-- Create a New Map --}
NumberOfMapsInTheFile:= 1;
else
{--- Read Map File ---}


end;
CurrentMapNumber        :=1;
CurrentSpriteNumber     :=1;
end;